imagecopyresized
imagecreatefromgd2
GD and Image Functions
PHP Manual

# imagecreate

Create a new palette based image

### Description

resource imagecreate ( int `$width` , int `$height` )

imagecreate returns an image identifier representing a blank image of specified size.

In general, we recommend the use of imagecreatetruecolor instead of imagecreate so that image processing occurs on the highest quality image possible. If you want to output a palette image, then imagetruecolortopalette should be called immediately before saving the image with imagepng or imagegif.

### Parameters

`width`

  The image width.

`height`

  The image height.

### Return Values

Returns an image resource identifier on success, `FALSE` on errors.

### Examples

Example #1 Creating a new GD image stream and outputting an image.

`<?php
header("Content-Type: image/png");
$im = @imagecreate(110, 20)
or die("Cannot Initialize new GD image stream");
$background_color = imagecolorallocate($im, 0, 0, 0);
$text_color = imagecolorallocate($im, 233, 14, 91);
imagestring($im, 1, 5, 5, "A Simple Text String", $text_color);
imagepng($im);
imagedestroy($im);
?>`

The above example will output something similar to:

### See Also

- imagedestroy
- imagecreatetruecolor